Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.grizzly
Class GrizzlySocketChannel

    java.lang.Object
      org.mortbay.jetty.grizzly.GrizzlySocketChannel

All Implemented Interfaces:
  Closeable, ByteChannel, Channel, ReadableByteChannel, WritableByteChannel

    public class GrizzlySocketChannel

extends Object
implements ByteChannel

Author:
  Jeanfrancois Arcand

Constructor Summary
`GrizzlySocketChannel()`

Method Summary
`void` | `close()`
`long` | `getReadTimeout()`
`SelectionKey` | `getSelectionKey()`
`SocketChannel` | `getSocketChannel()`
`long` | `getWriteTimeout()`
`boolean` | `isOpen()`
`int` | `read(ByteBuffer dst)`
`void` | `setReadTimeout(long readTimeout)`
`void` | `setSelectionKey(SelectionKey key)`
`void` | `setSocketChannel(SocketChannel socketChannel)`
`void` | `setWriteTimeout(long writeTimeout)`
`int` | `write(ByteBuffer src)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GrizzlySocketChannel

    public GrizzlySocketChannel()

Method Detail

### read

    public int read(ByteBuffer dst)
             throws IOException

  Specified by:
    `read` in interface `ReadableByteChannel`
  Throws:
    `IOException`

### isOpen

    public boolean isOpen()

  Specified by:
    `isOpen` in interface `Channel`

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Closeable`
  Specified by:
    `close` in interface `Channel`
  Throws:
    `IOException`

### write

    public int write(ByteBuffer src)
              throws IOException

  Specified by:
    `write` in interface `WritableByteChannel`
  Throws:
    `IOException`

### getSocketChannel

    public SocketChannel getSocketChannel()

### setSocketChannel

    public void setSocketChannel(SocketChannel socketChannel)

### getSelectionKey

    public SelectionKey getSelectionKey()

### setSelectionKey

    public void setSelectionKey(SelectionKey key)

### getReadTimeout

    public long getReadTimeout()

### setReadTimeout

    public void setReadTimeout(long readTimeout)

### getWriteTimeout

    public long getWriteTimeout()

### setWriteTimeout

    public void setWriteTimeout(long writeTimeout)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.